POST /data/chats/

Create a new chat with data provided in the request body. JSON format is expected.

application/json

Body Required

  • object_id string(uuid) Required
  • object_type string Required
  • name string

Responses

  • 201 application/json

    Chat created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • object_id string(uuid)
    • object_type string
    • name string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

POST /data/chats/
curl -X POST "http://api.example.com/data/chats/" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "object_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "object_type": "Asset",
  "name": "Chat Name"
}'
import requests

url = "http://api.example.com/data/chats/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "object_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "object_type": "Asset",
    "name": "Chat Name"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/chats/' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"object_id":"a24a6ea4-ce75-4665-a070-57453082c25","object_type":"Asset","name":"Chat Name"}'
Request examples
{
  "object_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "object_type": "Asset",
  "name": "Chat Name"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "object_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "object_type": "Asset",
  "name": "Chat Name",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}